Name: plt1
Version: 103p1
Release: alt1.4
License: LGPL
Group: Development/Other
Url: http://www.cs.rice.edu/CS/PLT/packages/mzscheme/
Source: plt-%version.src.x.tar.gz
Patch: plt103p1-gcc-3.2.patch

Summary: PLT MzScheme & DrScheme
Summary(ru_RU.KOI8-R): PLT MzScheme & DrScheme

%define fullname %name
%set_compress_method gzip

%add_findreq_skiplist %_libdir/%fullname/collects/framework/*.ss
%add_findreq_skiplist %_libdir/%fullname/collects/games/paint-by-numbers/*.ss

PreReq: alternatives >= 0.0.6

Provides: %_bindir/mred
Provides: %_bindir/mzscheme

# Automatically added by buildreq on Mon Mar 24 2003
BuildRequires: XFree86-bitmaps XFree86-devel-static gcc-c++ libalternatives-devel libstdc++-devel xpm

%description
DrScheme, a pedagogical programming environment, builded on top of
MzScheme -- R5RS-compilant version of Scheme language.

%description -l ru_RU.KOI8-R
DrScheme   ,   
MzScheme --   Scheme,  R5RS.

%prep
%setup -q -n plt
%patch -p1

%build
cd src
export CFLAGS="%optflags -DUSE_LOCALE"
export CXXFLAGS="%optflags -DUSE_LOCALE"
./configure --prefix=%prefix
make USE_LOCALE=1
make install

%install
mkdir -p %buildroot%_libdir/%fullname
cp -Rf install collects bin .bin teachpack notes %buildroot%_libdir/%fullname
mkdir -p %buildroot%_man1dir
for i in man/man1/* ; do
    install -m 644 $i %buildroot%_man1dir/`basename $i .1`-1.1
done

#prepare alternatives
install -d %buildroot%_altdir
cat >%buildroot%_altdir/%name<<EOF
<group name="candidate">
    <option name="link">%_bindir/mzscheme</option>
    <option name="real">%_bindir/mzscheme-1</option>
    <option name="weight" type="number">10</option>
EOF

#append slaves
for i in drscheme help-desk mred mzc
do
cat >>%buildroot%_altdir/%name<<EOF
    <group name="slave">
        <option name="link">%_bindir/$i</option>
        <option name="real">%_bindir/$i-1</option>
    </group>
EOF
done

#append man-pages for slaves
for i in mred mzscheme drscheme
do
cat >>%buildroot%_altdir/%name<<EOF
    <group name="slave">
        <option name="link">%_man1dir/$i.1.gz</option>
        <option name="real">%_man1dir/$i-1.1.gz</option>
    </group>
EOF
done

#append end-tag
cat >>%buildroot%_altdir/%name<<EOF
</group>
EOF


%post
PLTHOME="" export PLTHOME
PLTCOLLECTS="" export PLTCOLLECTS
RPM_INSTALL_PREFIX="" export RPM_INSTALL_PREFIX
cd %_libdir/%fullname
echo y | ./install

for i in drscheme help-desk mred mzc mzscheme ; do
    ln -sf %_libdir/%fullname/bin/$i %_bindir/${i}-1
done

%register_alternatives %name -- mzscheme drscheme help-desk mred mzc mred.1.gz mzscheme.1.gz drscheme.1.gz

%preun
%unregister_alternatives %name

[ $1 = 0 ] || exit 0
for i in drscheme help-desk mred mzc mzscheme ; do
    rm -f %_bindir/$i-1
done

%postun
[ $1 = 0 ] || exit 0
rm -rf %_libdir/%fullname


#try to fix a big bug in package
%triggerun -- plt1 < 103p1-alt1.2
mv %_libdir/%fullname %_libdir/%fullname.save

%triggerpostun -- plt1 < 103p1-alt1.2
mv %_libdir/%fullname.save %_libdir/%fullname

%files
%_altdir/%name
%dir %_libdir/%fullname
%_libdir/%fullname/.bin/*
%_libdir/%fullname/*
%_man1dir/*

%changelog
* Wed Sep 24 2003 Ott Alex <ott@altlinux.ru> 103p1-alt1.4
- fix spec

* Thu Apr 10 2003 Stanislav Ievlev <inger@altlinux.ru> 103p1-alt1.3
- new alternatives config format

* Mon Mar 24 2003 Stanislav Ievlev <inger@altlinux.ru> 103p1-alt1.2
- moved to new alternatives scheme
  warning to maintainer: use different weights for alternatives
  warning to maintainer: package was unupradeable

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 103p1-alt1.1
- rebuild with new XFree86

* Thu Aug 29 2002 Ott Alex <ott@altlinux.ru> 103p1-alt1
- Initial build
